Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class SubsetIteratorFilter

    java.lang.Object
      org.apache.struts2.util.IteratorFilterSupport
          org.apache.struts2.util.SubsetIteratorFilter

All Implemented Interfaces:
  Action, Iterator

    public class SubsetIteratorFilter

extends IteratorFilterSupport
implements Iterator, Action

A bean that takes an iterator and outputs a subset of it.

Nested Class Summary
`static interface` | `SubsetIteratorFilter.Decider` A decider determines if the given element should be added to the list or not.

Nested classes/interfaces inherited from class org.apache.struts2.util.IteratorFilterSupport
`IteratorFilterSupport.EnumerationIterator`

Field Summary

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`SubsetIteratorFilter()`

Method Summary
`protected boolean` | `decide(Object element)`
`String` | `execute()`
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`
`void` | `setCount(int aCount)`
`void` | `setDecider(SubsetIteratorFilter.Decider aDecider)`
`void` | `setSource(Object anIterator)`
`void` | `setStart(int aStart)`

Methods inherited from class org.apache.struts2.util.IteratorFilterSupport
`getIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsetIteratorFilter

    public SubsetIteratorFilter()

Method Detail

### setCount

    public void setCount(int aCount)

### setSource

    public void setSource(Object anIterator)

### setStart

    public void setStart(int aStart)

### setDecider

    public void setDecider(SubsetIteratorFilter.Decider aDecider)

### execute

    public String execute()

  Specified by:
    `execute` in interface `Action`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### decide

    protected boolean decide(Object element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.